doctype html
|%{
|	caracterizacao = analiseTecnica.analise.processo.caracterizacao;	
|	numeroProcesso = caracterizacao.processoLicenciamento.numero;
|	numeroProtocolo = analiseTecnica.analise.processo.numero;
|	siglaLicenca = caracterizacao.tipoLicenca.sigla;
|	cpfCnpj = empreendimento.pessoa.cpf != null ? empreendimento.pessoa.cpf : empreendimento.pessoa.cnpj;
|	inscricaoEstadual = empreendimento.pessoa.inscricaoEstadual != null ? empreendimento.pessoa.inscricaoEstadual : "-";
|	atividadesCaracterizacao = caracterizacao.atividadesCaracterizacao;
|	maiorPPDEPorte = caracterizacao.getAtividadeCaracterizacaoMaiorPotencialPoluidorEPorte();
|}%
html(lang="pt-br")
	head
		meta(charset='utf-8')
		title Análise - Licenciamento Ambiental - Mato Grosso do Sul
		link(rel='stylesheet' href='${templatePath}/style/estilo.css')
		style.
			* {
				margin: 0;
				padding:0;
			}

	body(style="margin-left: 19px; margin-top:-4px;")
		
		table

			tr.estrutura
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
				td(style='width: 10%')
			tr
				td.text-center(colspan='10') MINUTA
			tr
				td(colspan='5')
					span ${siglaLicenca} Nº ${numeroMinuta}
				td(colspan='5')
					b Validade: ${dataValidadeMinuta}
			
			tr
				td(colspan='5')
					span Processo Nº: ${caracterizacao.processoLicenciamento.numero}
				td(colspan='5')
					span Protocolo Nº: ${analiseTecnica.analise.processo.numero}

			tr
				td(colspan='10')
					
					b(style="text-align:justify") O INSTITUTO DE MEIO AMBIENTE DE MATO GROSSO DO SUL - IMASUL/MS, autarquia vinculada à SECRETARIA DE ESTADO DE MEIO AMBIENTE, DESENVOLVIMENTO ECONÔMICO, PRODUÇÃO E AGRICULTURA FAMILIAR, no uso das atribuições que lhes são conferidas pela Lei nº 4.640, de 24 de dezembro de 2014, EXPEDE a presente LICENÇA, de acordo com a Lei nº 2.257, de 09/07/2001 e suas alterações posteriores, e normatizada através da Resolução SEMADE nº 09 de 13/05/2015.

		
			tr
				td(colspan='10') IDENTIFICAÇÃO DO REQUERENTE
			tr
				td(colspan='10')
					| RAZÃO SOCIAL/NOME: ${empreendimento.empreendedor.pessoa.nome ? empreendimento.empreendedor.pessoa.nome : empreendimento.empreendedor.pessoa.razaoSocial}
			
			tr
				td(colspan='6')
					| INSCRIÇÃO ESTADUAL/RG: ${inscricaoEstadual}

				td(colspan='4')
					| CNPJ/CPF: ${utils.Helper.formatarCpfCnpj(cpfCnpj)}

			tr
				td(colspan='10')
					span ENDEREÇO DO EMPREENDIMENTO: ${enderecoEmpreendimento.logradouro}, Nº ${enderecoEmpreendimento.numero}, ${enderecoEmpreendimento.bairro}

			tr
				td(colspan='6')
					span MUNICÍPIO: ${enderecoEmpreendimento.municipio.nome}
					
				td(colspan='2')
					| UF: ${enderecoEmpreendimento.municipio.estado.sigla}

				td(colspan='2')
					span CEP: ${utils.Helper.formatarCep(enderecoEmpreendimento.cep)}
			tr

				td(colspan='10')
					span TELEFONE PARA CONTATO: ${utils.PessoaEuUtils.getTelefone(empreendimento.pessoa)}


			|\#{if !caracterizacao.isComplexo()}
			
			tr
				td(colspan='10')
					b ATIVIDADE(S) LICENCIADA(S):
					.text-center
						ul
						|\#{list items:atividadesCaracterizacao, as:'atividadeCaracterizacao' }
						li.cell-spacing ${atividadeCaracterizacao.atividade.codigo ? atividadeCaracterizacao.atividade.codigo : ''} - ${atividadeCaracterizacao.atividade.nome}
						| \#{/list}

			tr
				td(colspan='10')
					b LOCALIZAÇÃO DA(S) ATIVIDADE(S) LICENCIADA(S):
						table
							|\#{list items:0..atividadeCaracterizacao.geometriasAtividade.size() -1, as:'index'}
							|%{
							|	geometriaAtividade = atividadeCaracterizacao.geometriasAtividade[index];
							|}%
							tr
								td.table-coordenadas(colspan='10') Geometria ${index + 1}:

							tr
								th(colspan='1') Ponto
								th(colspan='2') Latitude
								th(colspan='2') Longitude
								th(colspan='1') Ponto
								th(colspan='2') Latitude
								th(colspan='2') Longitude
							
							|\#{list items:0..geometriaAtividade.geometria.getCoordinates().length -2, as: 'coordenadas'}
							|\#{if coordenadas % 2 == 0}
							tr
								td.table-coordenadas(colspan='1') P-${coordenadas +1}
								td.table-coordenadas(colspan='2') ${utils.CoordenadaUtil.formataLatitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas].y)}
								td.table-coordenadas(colspan='2') ${utils.CoordenadaUtil.formataLongitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas].x)}

								//- Tratamento de caso com pontos ímpares - Exibe "-" ao invés das informações dos pontos
								td.table-coordenadas(colspan='1') ${coordenadas + 1 < geometriaAtividade.geometria.getCoordinates().length ? ("P-" + (coordenadas + 2)) : '-'}	
								td.table-coordenadas(colspan='2') ${coordenadas + 1 < geometriaAtividade.geometria.getCoordinates().length ? utils.CoordenadaUtil.formataLatitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas+1].y) : '-'}
								td.table-coordenadas(colspan='2') ${coordenadas + 1 < geometriaAtividade.geometria.getCoordinates().length ? utils.CoordenadaUtil.formataLongitudeString(geometriaAtividade.geometria.getCoordinates()[coordenadas+1].x) : '-' }
								
							|\#{/if}
							|\#{/list}
							|\#{/list}
			|\#{/if}
			|\#{else}
			tr
				td(colspan='10')
					span Atividades do complexo:
						table
							|\#{list items:atividadesCaracterizacao, as:'atividadeCaracterizacao' }
							tr
								td.table-coordenadas(colspan='10') - ${atividadeCaracterizacao.getNomeAtividade()}
							|\#{/list}
			tr
				td(colspan='10')
					span Localização do complexo:
						table
							|\#{list items:caracterizacao.geometriasComplexo, as:'geometriaComplexo'}
							tr
								th(colspan='1') Ponto
								th(colspan='2') Latitude
								th(colspan='2') Longitude
								th(colspan='1') Ponto
								th(colspan='2') Latitude
								th(colspan='2') Longitude
							
							|\#{list items:0..geometriaComplexo.geometria.getCoordinates().length -2, as:'coordenadas'}
							|\#{if coordenadas % 2 == 0}
							tr
								td.table-coordenadas(colspan='1') P-${coordenadas +1}
								td.table-coordenadas(colspan='2') ${utils.CoordenadaUtil.formataLatitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas].y)}
								td.table-coordenadas(colspan='2') ${utils.CoordenadaUtil.formataLongitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas].x)}
								|\#{if coordenadas+1 != geometriaComplexo.geometria.getCoordinates().length -1}
								td.table-coordenadas(colspan='1') P-${coordenadas +2}
								td.table-coordenadas(colspan='2') ${utils.CoordenadaUtil.formataLatitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].y) != null ? utils.CoordenadaUtil.formataLatitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].y) : '-'}
								td.table-coordenadas(colspan='2') ${utils.CoordenadaUtil.formataLongitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].x) != null ? utils.CoordenadaUtil.formataLongitudeString(geometriaComplexo.geometria.getCoordinates()[coordenadas+1].x) : '-' }
								|\#{/if}
							|\#{/if}
							|\#{/list}
							|\#{/list}
			|\#{/else}
				

		div(ng-show="parecer.condicionantes != null")
			h3(style=" margin-top:30px;") RESTRIÇÕES E/OU CONDIÇÕES DE VALIDADE DESTA LICENÇA - ${siglaLicenca} Nº ${numeroMinuta}

		div
			ol.lista-conteudo

				|\#{if !parecer.condicionantes.isEmpty()}
				|\#{list items:parecer.condicionantes, as:'condicionante'}
				li.titulo-item
					.conteudo-item
						span ${condicionante.texto} 
						br
						|\#{if condicionante.prazo != null}
						b Prazo para atendimento de ${condicionante.prazo} dia(s).
						|\#{/if}
				|\#{/list}
				|\#{/if}
				|\#{if !parecer.restricoes.isEmpty()}
				|\#{list items:parecer.restricoes, as:'restricao'}
				li.titulo-item
					.conteudo-item
						span ${restricao.texto}
				|\#{/list}
				|\#{/if}
			br
			span.in-right Campo Grande, ${utils.Helper.getDataPorExtenso(new Date())}